2 Replies Latest reply on Aug 2, 2006 9:47 AM by Sasi Levi

    JBoss 4.0.2 and JDK 5.0

    Sasi Levi Newbie

      Hi all,

      I deployed an application on JBoss 4.0.2 with JDK 5.0
      When I load one of my jsp page, that contains list with generics, (e.g. List), I get the following error:

      org.apache.jasper.JasperException: Unable to compile class for JSP

      An error occurred at line: 8 in the jsp file: /generics/upperboundwilcards.jsp
      Generated servlet error:
      Syntax error on token "<", invalid AssignmentOperator

      An error occurred at line: 8 in the jsp file: /generics/upperboundwilcards.jsp
      Generated servlet error:
      Syntax error on token "=", != expected

      An error occurred at line: 8 in the jsp file: /generics/upperboundwilcards.jsp
      Generated servlet error:
      Syntax error on token "<", ( expected

      An error occurred at line: 8 in the jsp file: /generics/upperboundwilcards.jsp
      Generated servlet error:
      Syntax error on token "(", invalid Expression

      My question: Is JBoss can't compile JSP's that compiled in JDK5.0?